:root {
    --pixel-size: 20px;
    font-size: 1rem;
}

section#testing-input,
section#formatting-info {
    display: flex;
    flex-direction: column;
}

span.control {
    display: inline-block;
    width: var(--pixel-size);
    height: var(--pixel-size);
    vertical-align: top;
    margin-left: 0.2rem;
    margin-right: 0.2rem;
    background-size: var(--pixel-size) var(--pixel-size);
    background-repeat: no-repeat; 
}

/* Enable visualization of directional character codes. */
span.lri {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E LRI %3C/text%3E %3C/svg%3E");
}

span.rli {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E RLI %3C/text%3E %3C/svg%3E");
}

span.fsi {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E FSI %3C/text%3E %3C/svg%3E");
}

span.lre {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E LRE %3C/text%3E %3C/svg%3E");
}

span.rle {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E RLE %3C/text%3E %3C/svg%3E");
}

span.lro {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E LRO %3C/text%3E %3C/svg%3E");
}

span.rlo {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 21 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E RLO %3C/text%3E %3C/svg%3E");
}

span.pdi {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E PDI %3C/text%3E %3C/svg%3E");
}

span.pdf {
    background-image: url( "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 21 20'%3E %3Cstyle%3E .normal{ font: italic 10px sans-serif; } %3C/style%3E %3Ctext x='0' y='13' class='normal'%3E PDF %3C/text%3E %3C/svg%3E");
}
